public class Vettore{
	double x;
	double y;
	//crea un vettore con ascissa e ordinata specificati
	public Vettore(double x, double y){
		this.x=x;
		this.y=y;
	}
	//ritorna il valore dellascissa
	public double getAscissa(){
		return x;
	}
	//ritorna il valore dell ordinata
	public double getOrdinata(){
		return y;
	}
	//stampa su out il vettore nella forma (x,y)
	public void stampa() {
		System.out.println("("+x+","+y+")");
	}
	//somma al vettore corrente quello passato come parametro e modifica loggetto
	public void somma(Vettore f) {
		this.x=this.x + f.x;
		this.y=this.y + f.y;
	}
	//calcola il modulo del vettore
	public double calcolaModulo() {
		return Math.sqrt(x*x + y*y);
	}
	//moltiplica il vettore corrente per uno scalare
	public void moltiplicaPerScalare(double s) {
		this.x=x*s;
		this.y=y*s;
	}
	
	public static void main(String [] s){
		Vettore v=new Vettore(3,4);
		v.stampa();
		System.out.println("Modulo: "+v.calcolaModulo());
		v.moltiplicaPerScalare(5);
		v.stampa();

		Vettore v1=new Vettore(1,2);
		Vettore v2=new Vettore(6,7);
		v2.somma(v1);
		v2.stampa();		
	}
}